Environmentdeployment Records - List
Get environment deployment execution history
GET https://dev.azure.com/{organization}/{project}/_apis/distributedtask/environments/{environmentId}/environmentdeploymentrecords?api-version=7.1
GET https://dev.azure.com/{organization}/{project}/_apis/distributedtask/environments/{environmentId}/environmentdeploymentrecords?continuationToken={continuationToken}&top={top}&api-version=7.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
environment
|
path | True |
integer (int32) |
|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
project
|
path | True |
string |
Project ID or project name |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '7.1' to use this version of the api. |
|
continuation
|
query |
string |
||
|
top
|
query |
integer (int32) |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.environment_manage | Provides ability to manage environment |
Definitions
| Name | Description |
|---|---|
|
Environment |
EnvironmentDeploymentExecutionRecord. |
|
Reference |
The class to represent a collection of REST reference links. |
|
Task |
|
|
Task |
The result of this request. |
EnvironmentDeploymentExecutionRecord
EnvironmentDeploymentExecutionRecord.
| Name | Type | Description |
|---|---|---|
| definition |
Definition of the environment deployment execution owner |
|
| environmentId |
integer (int32) |
Id of the Environment |
| finishTime |
string (date-time) |
Finish time of the environment deployment execution |
| id |
integer (int64) |
Id of the Environment deployment execution history record |
| jobAttempt |
integer (int32) |
Job Attempt |
| jobName |
string |
Job name |
| owner |
Owner of the environment deployment execution record |
|
| planId |
string (uuid) |
Plan Id |
| planType |
string |
Plan type of the environment deployment execution record |
| queueTime |
string (date-time) |
Queue time of the environment deployment execution |
| requestIdentifier |
string |
Request identifier of the Environment deployment execution history record |
| resourceId |
integer (int32) |
Resource Id |
| result |
Result of the environment deployment execution |
|
| scopeId |
string (uuid) |
Project Id |
| serviceOwner |
string (uuid) |
Service owner Id |
| stageAttempt |
integer (int32) |
Stage Attempt |
| stageName |
string |
Stage name |
| startTime |
string (date-time) |
Start time of the environment deployment execution |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
object |
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |
TaskOrchestrationOwner
| Name | Type | Description |
|---|---|---|
| _links |
The class to represent a collection of REST reference links. |
|
| id |
integer (int32) |
|
| name |
string |
TaskResult
The result of this request.
| Value | Description |
|---|---|
| succeeded | |
| succeededWithIssues | |
| failed | |
| canceled | |
| skipped | |
| abandoned |